> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/replay-server/uof-replay-server-sdk.md).

# UOF - Replay server (SDK)

This section contains details about our Unified Feed Replay Server when using the SDK. The SDK replay server is available in both Java and .NET.

| **Method name**                                                | **Description**                                                                                                                                                                                                                                                    |
| -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **addSportEventToReplay (**&#x53;portEvent even&#x74;**)**     | Add a SportEvent to the list of SportEvents whose recorded messages will be replayed. The SportEvents to add have to be older than 48hours, there is no max time, but typically Sportradar does not guarantee that SportEvents older than 30 days can be replayed. |
| **addSportEventToReplay(**&#x73;tring i&#x64;**)**             | Add a SportEvent to the list of SportEvents whose recorded messages will be replayed.                                                                                                                                                                              |
| **clear()**                                                    | Stops playing recorded messages from the playlist, **and** clears the playlist.                                                                                                                                                                                    |
| **getPlayStatus()**                                            | Get the current status of the replayer                                                                                                                                                                                                                             |
| **getReplayList()**                                            | Get the list of SportEvents whose recorded messages are scheduled for replay                                                                                                                                                                                       |
| **play()**                                                     | Starts playing the messages for the SportEvents in the play list. The speed will be the default speed (10x faster than actual recorded speed) and with a maximum delay between events of 10 seconds (even if the actual time would have been longer).              |
| **Play(**&#x64;ouble speedupFactor, int maxDelayInM&#x73;**)** | Starts playing the messages for the SportEvents in the play list with additional arguments for speed (10x is default) and message delays. This is to avoid waiting for very long delays if two events are far apart.                                               |
| **stop()**                                                     | Stops playing recorded messages from the playlist.                                                                                                                                                                                                                 |

### Replay server in the Java SDK <a href="#uofreplayserver-sdk-replayserverinthejavasdk" id="uofreplayserver-sdk-replayserverinthejavasdk"></a>

To use the replay server instead of the ordinary server, you create a ReplayOddsFeed instead of an OddsFeed. When you then create the actual session, it will be against the replay server, not against the normal server. Now you will also be able to call getReplayManager on the [OddsFeedSession](http://sdk.sportradar.com/content/unifiedfeedsdk/java/javadoc/com/sportradar/unifiedodds/sdk/OddsFeedListener.html). This will give you access to the ReplayManager that you can use to change the playlist, start / stop the replay and check the status if a replay is ongoing. Messages are delivered as normally to your registered [OddsFeedListener](http://sdk.sportradar.com/content/unifiedfeedsdk/java/javadoc/com/sportradar/unifiedodds/sdk/OddsFeedListener.html).

{% hint style="info" %}
**Note**: No heartbeat checking is performed in a replay session.
{% endhint %}

### Replay server in the.Net SDK <a href="#uofreplayserver-sdk-replayserverinthe.netsdk" id="uofreplayserver-sdk-replayserverinthe.netsdk"></a>

The Replay Server is accessible in the .NET SDK too. Please see the [SDK specific documentation](http://sdk.sportradar.com/content/unifiedfeedsdk/net/doc/html/15adaea0-5ed9-0831-79a5-f2702175b2d9.htm) for more details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/replay-server/uof-replay-server-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
